Summary:	Password Safe - a password database utility
Summary(pl.UTF-8):	Password Safe - narzędzie do zarządzania bazą danych haseł
Name:		MyPasswordSafe
Version:	20061216
Release:	3
License:	GPL v2
Group:		Applications/Databases
Source0:	http://www.semanticgap.com/myps/release/%{name}-%{version}.src.tgz
# Source0-md5:	0fef98e77c8e593382fb201bd278cacf
Source1:	%{name}.desktop
Patch0:		build.patch
URL:		http://www.semanticgap.com/myps/
BuildRequires:	kde4-kde3support-devel
BuildRequires:	qmake
BuildRequires:	qt-linguist
BuildRequires:	rpmbuild(macros) >= 1.129
BuildRequires:	xorg-lib-libXScrnSaver-devel
BuildRequires:	xorg-proto-scrnsaverproto-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MyPasswordSafe is a straight-forward, easy-to-use password manager
that maintains compatibility with Password Safe files. MyPasswordSafe
has the following features:
- Safes are encrypted when they are stored to disk.
- Passwords never have to be seen, because they are copied to the
  clipboard.
- Random passwords can be generated.
- Window size, position, and column widths are remembered.
- Passwords remain encrypted until they need to be decrypted at the
  dialog and file levels.
- A safe can be made active so it will always be opened when
  MyPasswordSafe starts.
- Supports Unicode in the safes.

%description -l pl.UTF-8
MyPasswordSafe to prosty, łatwy w użyciu zarządca haseł utrzymujący
kompatybilność z plikami Password Safe. MyPasswordSafe ma następujące
możliwości:
- "Sejfy" z hasłami są szyfrowane przy zapisie na dysk.
- Haseł nie trzeba nigdy widzieć, ponieważ są kopiowane do schowka.
- Mogą być generowane hasła losowe.
- Można zapamiętać rozmiar i położenie okna oraz szerokości kolumn.
- Hasła pozostają zaszyfrowane aż do chwili kiedy muszą być
  odszyfrowane na poziomie okien dialogowych i plików.
- "Sejf" może być uczyniony aktywnym, tak że jest otwierany przy
  uruchomieniu MyPasswordSafe.
- Obsługuje Unikod w hasłach.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix} \
	QTDIR=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir}/%{name}/locale,%{_desktopdir},%{_pixmapsdir}}

install MyPasswordSafe $RPM_BUILD_ROOT%{_bindir}
install locale/*.qm $RPM_BUILD_ROOT%{_datadir}/%{name}/locale

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog doc/manual.html doc/sshots/*.jpg README
%attr(755,root,root) %{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/locale
%{_datadir}/%{name}/locale/mypasswordsafe_c.qm
%lang(en) %{_datadir}/%{name}/locale/mypasswordsafe_en.qm
%lang(fr) %{_datadir}/%{name}/locale/mypasswordsafe_fr.qm
%{_desktopdir}/*.desktop
%changelog
* Sat May 14 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/MyPasswordSafe.git;a=log;h=master

* Sat May 14 2016 Jan Rękorajski <baggins@pld-linux.org> 1019665
- release 3 (by relup.sh)

* Sat May 14 2016 Jan Rękorajski <baggins@pld-linux.org> ae7b76e
- fixed building with modern compiler

* Fri May 13 2016 Jan Rękorajski <baggins@pld-linux.org> 159a5c7
- fix BR

* Fri May 13 2016 Jan Rękorajski <baggins@pld-linux.org> 54c1684
- update BRs

* Wed May 12 2010 Jan Rękorajski <baggins@pld-linux.org> ee0e900
- rel 2
- fixed desktop categories

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 5e5b617
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Mon Nov 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 1c7bf14
- outdated

* Mon Nov 26 2007 arvenil <arvenil@pld-linux.org> c069489
- up to 20061216
- BR: xorg-lib-libXScrnSaver-devel
- BR: xorg-proto-scrnsaverproto-devel
- removed Patch0 (already included in sources)
- thanks to Adam Skuciński <askucins@gmail.com>

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 906ec5d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> a723d65
- converted to UTF-8

* Sun Jun 18 2006 Adam Gołębiowski <adamg@pld-linux.org> 3bf087f
- new

* Sun Jun 18 2006 Adam Gołębiowski <adamg@pld-linux.org> ee337c2
- updated to snap 20060326

* Thu Mar 09 2006 Elan Ruusamäe <glen@pld-linux.org> 1c5ffe3
- quote %{__cc}

* Sun Jun 26 2005 darekr <darekr@pld-linux.org> d27b820
- more docs

* Sun Jun 26 2005 blekot <blekot@pld-linux.org> de41231
- up to 20050615

* Mon Dec 20 2004 Paweł Gołaszewski <blues@pld-linux.org> bf9b875
- release 1 - added desktop.

* Mon Dec 20 2004 Paweł Gołaszewski <blues@pld-linux.org> 6f3a8cf
- desktop

* Mon Dec 20 2004 Paweł Gołaszewski <blues@pld-linux.org> d0364d2
- builds, works - quite nice.

* Mon Dec 20 2004 Jakub Bogusz <qboosh@pld-linux.org> b3c9b9d
- sort

* Mon Dec 20 2004 Paweł Gołaszewski <blues@pld-linux.org> c03c76e
- removed not needed things

